textures/oxodm106/xmas_tree_green
{
	qer_editorimage textures/oxodm106/xmas_tree_green.jpg
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_surfacelight 80
	nopicmip
	{
		map textures/oxodm106/xmas_tree_green.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/snow01
{
	qer_trans 0.50
    	qer_editorimage textures/oxodm106/snowed.tga
    	cull disable
    	deformVertexes autoSprite2
    	deformVertexes wave 50 sin 0 3 0 .2
    	surfaceparm trans
    	surfaceparm pointlight
    	surfaceparm nonsolid

	{
		map textures/oxodm106/snow02.tga
        	tcmod scroll 0.025 -0.28
		blendfunc blend

	}
	{
		map textures/oxodm106/snow02.tga
        	tcmod scroll -0.01 -0.4
		blendfunc blend
		rgbGen wave sin 0.5 0 0 0

	}
}
textures/oxodm106/snow
{
	surfaceparm	snowsteps
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/oxodm106/snow.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/oxodm106/rainbow
{
	q3map_surfacelight	125
	q3map_lightRGB .0 .5 1
	qer_editorimage textures/oxodm106/rainbow.tga
	surfaceparm nosteps	
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
        nopicmip
	q3map_cloneShader textures/oxodm106/rainbowback
	{
		map textures/oxodm106/rainbow.tga
		blendfunc gl_src_alpha gl_one
		tcmod scale 2 1
		tcmod scroll .1 0
				
	}
	{
		map textures/oxodm106/rainbow_rocks.tga
		blendfunc gl_src_alpha gl_one
		tcmod scale 8 3
		tcmod scroll .55 0		
	}

}
textures/oxodm106/rainbowback
{
	q3map_invert
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nomarks
}
textures/oxodm106/sb_frozen
{
	qer_editorimage textures/oxodm106/frozen_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	//q3map_lightsubdivide 256
	q3map_lightsubdivide 25
	q3map_surfacelight 25
	surfaceparm sky
	q3map_sun 227 237 254 100 50 60
	skyparms textures/oxodm106/frozen - -
}
textures/oxodm106/snow_melting
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	sort 6
	{
		map textures/oxodm106/snow_melting.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/oxodm106/target
{
	qer_editorimage textures/oxodm106/target.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/oxodm106/target.tga
		blendfunc add
	}
}
textures/oxodm106/xmas_camper
{
	qer_editorimage textures/oxodm106/xmas_camper.jpg
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 150
	nopicmip
	{
		map textures/oxodm106/xmas_camper.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/ame_oasis
{
	qer_editorimage textures/oxodm106/oasisnight_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.0 0.95 0.8 40 270 25
	q3map_surfacelight 30
	skyparms textures/oxodm106/oasisnight - -
}
textures/oxodm106/xmas_stroggwings
{
	qer_editorimage textures/oxodm106/xmas_stroggwings
    	cull disable
    	surfaceparm trans
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 150
	nopicmip
	{
		map textures/oxodm106/xmas_stroggwings.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/xmas_cane
{
	qer_editorimage textures/oxodm106/xmas_cane.jpg
    	cull disable
    	surfaceparm trans
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 250
	nopicmip
	{
		map textures/oxodm106/xmas_cane.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/ntrl_techfloor_kc
{
	surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks	 
	nopicmip
	polygonOffset 
	sort 6
        qer_editorimage textures/oxodm106/techfloor_kc.tga
        
        {
		clampmap textures/oxodm106/zzztntrl_kc.tga
		alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
	{
		clampmap textures/oxodm106/techfloor2_kc.tga
		blendfunc blend
		tcmod rotate 180
		depthFunc equal
		tcMod stretch sin .8 0.1 0 .4
		rgbGen identity
	}        
	{
		map textures/oxodm106/techfloor_kc.tga
		blendfunc blend
		depthFunc equal
		rgbGen identity
	}	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
		map textures/oxodm106/techfloor_kc_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/oxodm106/xmas_wrapping_01
{
	qer_editorimage textures/oxodm106/xmas_wrapping_01.tga
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/oxodm106/xmas_wrapping_01.tga
		blendfunc filter
	}
}
textures/oxodm106/xmas_wrapping_bow
{
	qer_editorimage textures/oxodm106/xmas_wrapping_bow.tga
    	cull disable
    	surfaceparm nonsolid
	nopicmip
	{
		map textures/oxodm106/xmas_wrapping_bow.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/oxodm106/xmas_tree_green
{
	qer_editorimage textures/oxodm106/xmas_tree_green.jpg
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_surfacelight 80
	nopicmip
	{
		map textures/oxodm106/xmas_tree_green.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/xmas_green_string
{
	qer_editorimage textures/oxodm106/xmas_green_string.jpg
    	cull disable
   	surfaceparm trans
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 150
	nopicmip
	{
		map textures/oxodm106/xmas_green_string.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/xmas_gearwreath
{
	qer_editorimage textures/oxodm106/xmas_gearwreath
    	cull disable
    	surfaceparm trans
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 150
	nopicmip
	{
		map textures/oxodm106/xmas_gearwreath.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/xmas_lights_white
{
	qer_editorimage textures/oxodm106/xmas_lights_white
    	cull disable
    	surfaceparm trans
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 150
	nopicmip
	{
		map textures/oxodm106/xmas_lights_white.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/xmas_tree
{
	qer_editorimage textures/oxodm106/xmas_tree.jpg
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_surfacelight 80
	nopicmip
	{
		map textures/oxodm106/xmas_tree.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/xmas_raindeer
{
	qer_editorimage textures/oxodm106/xmas_raindeer
    	cull disable
    	surfaceparm trans
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 120
	nopicmip
	{
		map textures/oxodm106/xmas_raindeer.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/xmas_red_string
{
	qer_editorimage textures/oxodm106/xmas_red_string.jpg
    	cull disable
    	surfaceparm trans
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 150
	nopicmip
	{
		map textures/oxodm106/xmas_red_string.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/oxodm106/123
{
	qer_editorimage textures/oxodm106/123.jpg
    	cull disable
    	surfaceparm trans
    	surfaceparm nolightmap
    	surfaceparm nonsolid
    	q3map_surfacelight 150
	nopicmip
	{
		animMap 2 textures/oxodm106/ball_red.jpg textures/oxodm106/ball_blue.jpg textures/oxodm106/ball_green.jpg textures/oxodm106/ball_fiolet.jpg textures/oxodm106/ball_yellow.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
}